package com.oo.eye.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.ViewGroup;
import android.widget.TextView;

import com.app.baselibrary.recycler.adapter.BaseRecyclerViewAdapter;
import com.app.baselibrary.recycler.itemholder.ItemViewHolder;
import com.oo.eye.R;
import com.oo.eye.bean.StudentBean;

import java.util.List;

/**
 * Date : 2018/8/28.
 * Author:  cxh
 */

public class TestListAdapter extends BaseRecyclerViewAdapter<StudentBean, ItemViewHolder> {
    private final LayoutInflater mInflater;

    public TestListAdapter(List<StudentBean> list, Context context) {
        super(list, context);
        mInflater = LayoutInflater.from(mContext);
    }

    @Override
    public ItemViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        return new ItemViewHolder(mInflater.inflate(R.layout.item_testlist, parent, false));
    }

    @Override
    public void onBindViewHolder(ItemViewHolder holder, int position) {
        final StudentBean studentBean = mList.get(position);
        TextView orderText = (TextView) holder.itemView.findViewById(R.id.test_order);
        orderText.setText(studentBean.getNumber());
        TextView groupText = (TextView) holder.itemView.findViewById(R.id.test_group);
        groupText.setText(studentBean.getClasses());
        TextView nameText = (TextView) holder.itemView.findViewById(R.id.test_name);
        nameText.setText(studentBean.getRealname());
        TextView birthdayText = (TextView) holder.itemView.findViewById(R.id.test_birthday);
        birthdayText.setText(studentBean.getBirthday());
    }


    @Override
    public int getItemCount() {
        return mList.size();
    }
}
